# Generated by Django 3.2 on 2022-08-15 07:07

from django.db import migrations, models
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('guide', '0002_auto_20220814_2133'),
    ]

    operations = [
        migrations.CreateModel(
            name='GuideItem',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('baseType', models.CharField(max_length=200)),
                ('ilvl', models.CharField(max_length=100)),
                ('icon', models.CharField(default='https://web.poecdn.com/gen/image/WzI1LDE0LHsiZiI6IjJESXRlbXMvUmluZ3MvUmluZzYiLCJ3IjoxLCJoIjoxLCJzY2FsZSI6MX1d/74a5d719fd/Ring6.png', max_length=500)),
                ('identified', models.BooleanField()),
                ('implicitMods', models.TextField(blank=True, null=True)),
                ('explicitMods', models.TextField(blank=True, null=True)),
                ('utilityMods', models.TextField(blank=True, null=True)),
                ('craftedMods', models.TextField(blank=True, null=True)),
                ('enchantMods', models.TextField(blank=True, null=True)),
                ('fracturedMods', models.TextField(blank=True, null=True)),
            ],
        ),
        migrations.AddField(
            model_name='guide',
            name='create_at',
            field=models.DateField(auto_now_add=True, default=django.utils.timezone.now),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='guide',
            name='recommended_items',
            field=models.ManyToManyField(to='guide.GuideItem'),
        ),
    ]
